LIBNAME C '\\***\PERIO_R03'; *set to desired library location;

DATA NH0104_SUB_rev;
SET C.NH0104_rev;
/**SUBSET OF SAS DATA TO EXPORT TO R**/;
/** KEEP VARIABLES REFERENCED/USED IN SOCIODEMO ALL **/;
KEEP SEQN SDPSTRA6 SDPPSU6 WTPFEX6 
HSSEX NEDUC HSAGEIR AGEGRPN DMARETHN DMARETHN2020
HINC3 INC3 DMPPIR PIR NPIR US_BORN
SURVEY YEAR 
HP2020mod HP2020sev HP2020perio HP2020cal4 HP2020cal6;

/* 
 * AGEGRPN 1=20-34 2=35-44 3=45-54 4=55-64 5=65-74 6=75+ for consistency with HP2020 objective OH-5
 * NPIR  1=000-099 2=100-199 3=200-399 4=400-499 5=500+ 6=NA with HP2020 objective OH-5
 * HP2020mod uses the HP2020 case definition for moderate periodontitis with HP2020 objective OH-5
 * HP2020sev uses the HP2020 case definition for sever periodontitis with HP2020 objective OH-5
 * HP2020cal4 gives the number of sites affected by CAL >=4mm
 * HP2020cal6 gives the number of sites affected by CAL >=6mm
 */

RUN;


PROC EXPORT
	DATA= NH0104_SUB_rev

	/**TAB DELIMITED OUTPUT FILE WORKS BEST WITH R (set to desired path and file **/
	OUTFILE= "\\***\PERIO_R03\NH0104_SUB_rev.txt"
	DBMS=TAB REPLACE;

RUN;
