LIBNAME C '\\***\cholestdata\SRI_PAPER'; *set to desired library location;

DATA NH0508_SUB_rev;
SET C.NH0508_rev;
/**SUBSET OF SAS DATA TO EXPORT TO R**/;
/** KEEP VARIABLES REFERENCED/USED IN SOCIODEMO ALL **/;
KEEP SEQN SDPSTRA6 SDPPSU6 WTPFEX6 
HSSEX NEDUC HSAGEIR AGEGRPN AGEGRPN2 AGEGRPN3 AGEGRPN4 DMARETHN DMARETHN2020
HINC3 INC3 DMPPIR PIR NPIR US_BORN
SURVEY YEAR 
LBXTC;

/* 
 * AGEGRPN 1=20-29 2=30-39 3=40-49 4=50-59 5=60-69 6=70-79 7=80+ age-adjustment groups for HP2020 objective HDS-8
 * AGEGRPN2 1=25-29 2=30-39 3=40-49 4=50-59 5=60-69 6=70-79 7=80+ age-adjustment groups for HP2020 objective HDS-8
 * AGEGRPN3 1=20-24 2=25-44 3=45-54 4=55-64 5=65-74 6=75-79 7=80+ breakout for HP2020 objective HDS-8
 * AGEGRPN4 1=20-44 2=45-64 3=65+ breakout for HP2020 objective HDS-8
 * NPIR  1=000-099 2=100-199 3=200-399 4=400-499 5=500+ 6=NA for consistency with HP2020 objective HDS-8
 * NEDUC 1=<HS, 2=HS grad, 3=some college or AA, 4=college grad or above, 5=NA 
 */

RUN;


PROC EXPORT
	DATA= NH0508_SUB_rev

	/**TAB DELIMITED OUTPUT FILE WORKS BEST WITH R (set to desired path/file)**/
	OUTFILE= "\\***\cholestdata\SRI_PAPER\NH0508_SUB_rev.txt" 
	DBMS=TAB REPLACE;

RUN;
